OMPoint.Image (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class OMPoint.Image

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.omGraphics.OMPoint
                  com.bbn.openmap.omGraphics.OMPoint.Image

All Implemented Interfaces:
  OMGeometry, OMGraphic, OMGraphicConstants, java.io.Serializable, java.lang.Cloneable

Enclosing class:
  OMPoint

    public static class OMPoint.Image

extends OMPoint

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.OMPoint
`OMPoint.Image`

Field Summary
`protected java.awt.Image` | `image`
`protected int` | `imageX`
`protected int` | `imageY`
`protected boolean` | `useImage`

Fields inherited from class com.bbn.openmap.omGraphics.OMPoint
`DEFAULT_ISOVAL, DEFAULT_RADIUS, lat1, lon1, oval, radius, x, y`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`OMPoint.Image(double lat, double lon)` Create an OMPoint at a lat/lon position, with the default radius.
`OMPoint.Image(double lat, double lon, int radius)` Create an OMPoint at a lat/lon position, with the specified radius.
`OMPoint.Image(double lat, double lon, int offsetx, int offsety)` Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the default radius.
`OMPoint.Image(double lat, double lon, int offsetx, int offsety, int radius)` Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the specified radius.
`OMPoint.Image(int x, int y)` Put the point at a screen location, marked with a rectangle with edge size DEFAULT_RADIUS * 2 + 1.
`OMPoint.Image(int x, int y, int radius)` Put the point at a screen location, marked with a rectangle with edge size radius * 2 + 1.

Method Summary
`boolean` | `generate(Projection proj)` Prepare the point image for rendering.
`java.awt.Image` | `getImage()`
`boolean` | `isUseImage()`
`void` | `render(java.awt.Graphics g)` Render the image when useImage is true, or calls super implementation otherwise
`void` | `restore(OMGeometry source)` Takes the generic OMGraphic settings from another OMGraphic and pushes them to this one.
`void` | `setImage(java.awt.Image image)`
`void` | `setUseImage(boolean useImage)`
`boolean` | `shouldRenderFill()` Overriding this method will get mouse events to work over any part of the image.

Methods inherited from class com.bbn.openmap.omGraphics.OMPoint
`getLat, getLon, getRadius, getX, getY, hasLineTypeChoice, isOval, set, set, set, setLat, setLon, setOval, setRadius, setX, setY`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, distance, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, renderLabel, renderShape, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGraphic
`clone, deselect, getDeclutterType, getDisplayColor, getDisplayPaint, getFillColor, getFillPaint, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setLabelLocation, setLabelLocation, setLabelLocation, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distance, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Field Detail

### image

    protected java.awt.Image image

### useImage

    protected boolean useImage

### imageX

    protected int imageX

### imageY

    protected int imageY

Constructor Detail

### OMPoint.Image

    public OMPoint.Image(double lat,
                         double lon)

  Create an OMPoint at a lat/lon position, with the default radius.

### OMPoint.Image

    public OMPoint.Image(double lat,
                         double lon,
                         int radius)

  Create an OMPoint at a lat/lon position, with the specified radius.

### OMPoint.Image

    public OMPoint.Image(double lat,
                         double lon,
                         int offsetx,
                         int offsety)

  Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the default radius.

### OMPoint.Image

    public OMPoint.Image(double lat,
                         double lon,
                         int offsetx,
                         int offsety,
                         int radius)

  Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the specified radius.

### OMPoint.Image

    public OMPoint.Image(int x,
                         int y)

  Put the point at a screen location, marked with a rectangle with edge size DEFAULT_RADIUS * 2 + 1.

### OMPoint.Image

    public OMPoint.Image(int x,
                         int y,
                         int radius)

  Put the point at a screen location, marked with a rectangle with edge size radius * 2 + 1.

Method Detail

### getImage

    public java.awt.Image getImage()

### setImage

    public void setImage(java.awt.Image image)

### isUseImage

    public boolean isUseImage()

### setUseImage

    public void setUseImage(boolean useImage)

### generate

    public boolean generate(Projection proj)

  Prepare the point image for rendering.

  Specified by:
    `generate` in interface `OMGeometry`
  Overrides:
    `generate` in class `OMPoint`
  Parameters:
    `proj` - Projection
  Returns:
    true if generate was successful
  See Also:
    `OMGraphicAdapter.regenerate(com.bbn.openmap.proj.Projection)`

### render

    public void render(java.awt.Graphics g)

  Render the image when useImage is true, or calls super implementation otherwise

  Specified by:
    `render` in interface `OMGeometry`
  Overrides:
    `render` in class `OMGraphicAdapter`
  Parameters:
    `g` - Graphics2D context to render into.
  See Also:
    `OMGeometry.render(java.awt.Graphics)`

### shouldRenderFill

    public boolean shouldRenderFill()

  Overriding this method will get mouse events to work over any part of the image.

  Specified by:
    `shouldRenderFill` in interface `OMGraphic`
  Overrides:
    `shouldRenderFill` in class `OMGraphicAdapter`

### restore

    public void restore(OMGeometry source)

  Description copied from class: `OMGraphicAdapter`
  Takes the generic OMGraphic settings from another OMGraphic and pushes them to this one.

  Specified by:
    `restore` in interface `OMGeometry`
  Overrides:
    `restore` in class `OMPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details